About WingMan Profiler

WingMan Profiler allows you to customize your WingMan gaming device's behavior for a particular game. You will most likely only need to use WingMan Profiler rarely, because WingMan Profiler preconfigures most games for you.

How does WingMan Profiler work?

WingMan Profiler includes game profiles for most popular games, including first-person action games, flight sims, and driving games. When you install WingMan Profiler, the software searches your computer for installed games and WingMan gaming devices. Profiles for each installed game are visible when you open WingMan Profiler. You can select a WingMan gaming device in WingMan Profiler to see the settings for that particular game using that device.

What can I do in WingMan Profiler?

You can use WingMan Profiler to

Print a graphical game layout, displaying the command associated with each control

Print a device layout, displaying control labels

Launch games

Exchange game profiles with others using import and export options

Modify a game profile

When should I modify a game profile?

In WingMan Profiler, you can modify the game profile if

You decide that you would prefer to use different control assignments for a particular game (for example, if you use your device left-handed, or in some other distinct manner).

Note: If your game uses the DirectX interface to associate the game with the device, you can make control assignments directly within the game, rather than in WingMan Profiler.

You have a game installed on your system for which WingMan Profiler does not include a preconfigured game profile.

Note: This will rarely be the case, as WingMan Profiler includes profiles for most popular games.

You install a new game that has appeared more recently than the latest WingMan Profiler release. In that case, you can download the game profile from Logitech's World Wide Web site. Or, if you wish, you can create your own profile for the game.

See Also


Opening WingMan Profiler

Do one of the following:

1. On the Windows Taskbar, right-click the WingMan Profiler icon ( [image]). A menu is displayed.

2. Click Logitech WingMan Profiler.

or

On the Windows Start menu, click Programs, then Logitech, then Profiler, then the WingMan Profiler icon.

The WingMan Profiler main window is displayed with the last selected game profile shown.

See Also


Viewing a Game Layout and a Device Layout

Viewing a Game Layout and
a Device Layout [image] Tips

1. In the WingMan Profiler main window, click the Select A Device button. A submenu of available gaming devices is displayed.

2. Select a device from the submenu. An illustration of the selected gaming device is displayed, and its name is shown as the Device button label.

Note: If you only have one WingMan gaming device attached to your computer, this device is selected by default.

3. Click the Select A Game button.

4. Select a game profile from the submenu that displays.

Note: Every game installed on your computer is listed in the submenu, provided that either WingMan Profiler has a game profile for the game (the usual case) or you have manually created a profile for the game.

The illustration is updated with the game layout for the selected game.

5. To see what command is assigned to a control, move the cursor over the control in the illustration. A callout line is shown between the command and the control.

6. To see which control a command is assigned to, move the cursor over the command in the Button list, the Axis list, or the POV list. A callout line is shown between the command and the control.

See Also


Printing a Game Layout or a Device Layout

Printing a Game Layout or a
Device Layout [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. To print the Game Layout for the currently selected profile, click on the Profile menu. The Profile menu will appear.

3. Select Print Game Layout, then click OK. The Print dialog box is displayed.

4. Click OK.

Or

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. To print the Device Layout for the currently selected device, click on the Device menu. The Device menu will appear.

3. Select Print Game Layout, then click OK. The Print dialog box is displayed.

4. Click OK.

See Also


Changing Overall Effects Strength Globally

Changing Overall Effects Strength
Globally [image] Tips

1. In the WingMan Profiler main window, make sure the desired device is selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Devices menu and select Global Device Settings. The Global Device Settings window will appear.

3. Move the Overall Effects Strength slider as needed.

4. To accept the changes, click the OK button.

5. To discard the changes, click the Cancel button.

6. To restore all settings to the state as provided by Logitech, click the Defaults button.

See Also


Restoring Default Global Device Settings

Restoring Default Global Device Settings [image] Tips

1. In the WingMan Profiler main window, make sure the desired device is selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Device menu and select Global Device Settings. The Global Device Settings window will appear.

3. Click on the Defaults button. This will restore settings to those provided by Logitech.

4. Click the OK button to confirm the modification, or click the Cancel button to return to the non-default settings.

See Also


Changing Controller Settings Globally

Changing Controller Settings Globally [image] Tips

1. In the WingMan Profiler main window, make sure the desired device is selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Devices menu and select Global Device Settings. The Global Device Settings window will appear.

3. Make changes in the desired areas as needed.

4. To accept the changes, click the OK button.

5. To discard the changes, click the Cancel button.

6. To restore all settings to the state as provided by Logitech, click the Defaults button.

See Also


Enabling and Changing Centering Spring Strength Globally

Enabling and Changing
Centering Spring Strength Globally [image] Tips

1. In the WingMan Profiler main window, make sure the desired device is selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Devices menu and select Global Device Settings. The Global Device Settings window will appear.

3. Ensure the box labeled Enable Centering Spring is checked.

4. Move the Centering Spring Strength slider as needed.

5. To accept the changes, click the OK button.

6. To discard the changes, click the Cancel button.

7. To restore all settings to the state as provided by Logitech, click the Defaults button.

See Also


Selecting a Global Mouse Mode Setting for the WingMan Force Feedback Mouse

Selecting a Global Mouse Mode Setting
for the WingMan Force Feedback Mouse [image] Tips

1. In the WingMan Profiler main window, make sure the WingMan Force Feedback Mouse is the selected controller. (See the help topic "Viewing a Game Layout and a Device Layout.)

2. Click on the Device menu and select Global Device Settings. The Global Device Settings window will appear.

3. Click on the arrow in the pop down menu labeled Mouse Mode.

4. Select the Mouse Mode you prefer. (If you selected Joystick Mode, you will have to use your other mouse for the next step.)

5. Click the OK button to accept the change, click Cancel to close the Window without making the change, or click Defaults to return to the Mouse Mode preset by Logitech.

Or

1. If "Use hotkey to toggle mode is enabled," press the hotkey combination to cycle through the different modes.

Note: The modes cycle through in the following order: Absolute with Acceleration, Absolute, Relative, Joystick, Absolute with Acceleration…, beginning with the present mode.

See Also


Changing Acceleration Globally

Changing Acceleration Globally [image] Tips

1. In the WingMan Profiler main window, make sure the WingMan Force Feedback Mouse is selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Devices menu and select Global Device Settings. The Global Device Settings window will appear.

3. Move the Acceleration slider as needed.

4. To accept the changes, click the OK button.

5. To discard the changes, click the Cancel button.

6. To restore all settings to the state as provided by Logitech, click the Defaults button.

See Also


Changing Border Spring Effect Globally

Changing Border Spring Effect Globally [image] Tips

1. In the WingMan Profiler main window, make sure the WingMan Force Feedback Mouse is selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Devices menu and select Global Device Settings. The Global Device Settings window will appear.

3. Move the Border Spring Effect slider as needed.

4. To accept the changes, click the OK button.

5. To discard the changes, click the Cancel button.

6. To restore all settings to the state as provided by Logitech, click the Defaults button.

See Also


Changing Border Spring Size Globally

Changing Border Spring Size Globally [image] Tips

1. In the WingMan Profiler main window, make sure the WingMan Force Feedback Mouse is selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Devices menu and select Global Device Settings. The Global Device Settings window will appear.

3. Move the Border Spring Size slider as needed.

4. To accept the changes, click the OK button.

5. To discard the changes, click the Cancel button.

6. To restore all settings to the state as provided by Logitech, click the Defaults button.

See Also


Enabling Report Combined Pedals

Enabling Report Combined Pedals [image] Tips

1. In the WingMan Profiler main window, make sure the desired device is selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Devices menu and select Global Device Settings. The Global Device Settings window will appear.

3. Ensure the box labeled Report Combined Pedals is checked.

4. To accept the changes, click the OK button.

5. To discard the changes, click the Cancel button.

6. To restore all settings to the state as provided by Logitech, click the Defaults button.

See Also


Displaying the Windows Game Controllers Panel

Displaying the Windows Game Controllers Panel [image] Tips

Do one of the following:

1. On the Windows Taskbar, right-click the WingMan Profiler icon ( [image]). A menu is displayed.

2. Click Game Controllers.

or

1. In WingMan Profiler, click the Device menu.

2. Click Game Controllers.

The Windows Game Controllers panel is displayed with the General tab shown.

See Also


Profile Application

The default setting for Profiler is to apply profiles to games automatically. If this setting is selected when you launch a game the profile for that game is automatically applied.

You can also choose to never apply profiles to games. If this setting is selected when you launch a game the profile for that game will never be applied.

You can also choose to apply a persistent profile. A persistent profile is always active. You can select any profile from the profile database to be applied as a persistent profile. If this setting is selected when you launch a game the profile for that game will never be applied, because the setting defined in the persistent profile are already active.

1. In the WingMan Profiler main window, make sure the desired device is selected.

2. Click on the Options menu and select Global Profiler Settings. The Global Profiler Settings window will appear.

3. Select the setting to be used for applying profiles to games.

4. To accept the changes, click the OK button.

5. To discard the changes, click the Cancel button.

6. To restore all settings to the state as provided by Logitech, click the Defaults button.


Disabling Automatic Game Profile Load Upon Launch

Disabling Automatic Game Profile Load
Upon Launch [image] Tips

You can choose to never apply profiles to games. If this setting is selected when you launch a game the profile for that game will never be applied.

1. In the WingMan Profiler main window, make sure the desired device is selected.

2. Click on the Options menu and select Global Profiler Settings. The Global Profiler Settings window will appear.

3. Select the option to disable applying profiles to games.

4. To accept the changes, click the OK button.

5. To discard the changes, click the Cancel button.

When you next launch any game, the profile for that game is not loaded into the driver.


Launching a Game

Launching a Game [image] Tips

1. On the Windows Taskbar, right-click the WingMan Profiler icon ( [image]). A menu is displayed.

2. Click Launch a Game, then choose a game from the submenu that appears. The game is opened using the current profile for that game.

or

1. In the WingMan Profiler main window, click the Select A Game button. The Select A Game menu is displayed.

2. Select the name of the game you want to launch from the menu that displays. The Play button will now show the name of the game you want.

3. Click the Play button. The game is opened, using the current profile for that game.

See Also


Creating a New Game Profile

Creating a New Game Profile [image] Tips

1. In the WingMan Profiler main window, click on the Profile menu.

2. Select New. The Profile Properties dialog is displayed.

3. Type a name for the profile in the name box.

4. Click Browse to locate your game's executable file. Alternatively, you may enter the file's path statement if you know.

5. Select an icon from the icon box. Click the scroll bar to see more icons.

6. Click Finish. The new profile is created, and the WingMan Profiler main window is re-displayed.

See Also


Deleting a Game Profile

Deleting a Game Profile [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click the Edit menu. The Edit menu is displayed.

3. Select Delete. A message appears, asking you to confirm the deletion.

4. Click Yes. The game profile is deleted.

See Also


Restoring a Game Profile

Restoring a Game Profile [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click the Edit menu. The Edit menu is displayed.

3. Click Restore Defaults. A message appears asking you to confirm the restoration.

4. Click Yes to restore the Profile to the original configuration as provided by Logitech.

See Also


Disabling Force Feedback

Disabling Force Feedback [image] Tips

1. In the WingMan Profiler main window, make sure the desired device is selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click the Device button. The Device menu is displayed.

3. Click Enable Force Feedback. The mark next to Enable Force Feedback is removed, and the device no longer uses force feedback.

4. To re-enable force feedback, click Enable Force Feedback again.

See Also


Importing a Game Profile

Importing a Game Profile [image] Tips

1. In the WingMan Profiler main window, make sure the desired device is selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click the Profile menu. The Profile menu is displayed.

3. Select Import. The Import from File dialog box is displayed.

4. Select the folder in which the game profile is currently stored.

5. Select the game profile in the file name box, then click Import. The game profile is imported and its layout is displayed in WingMan Profiler.

See Also


Exporting a Game Profile to a File

Exporting a Game Profile to a File [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click the Profile menu. The Profile menu is displayed.

3. Select Export. The Export to File dialog box is displayed.

4. Select the folder in which you want to store the exported game profile.

5. Type a name for the game profile, or use the default name supplied.

6. Click Save. The game profile is exported to the specified file.

See Also


Assigning a Command to a Control

Assigning a Command to a Control [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. In the Button list, Axis list, or POV list, click the command for the control assignment that you wish to change.

Note: To see which command is assigned to a control, move the cursor over the command in the Button list, Axis list, or POV list. A callout line is shown between the command and the control.

The Button menu, Axis menu, or POV menu is displayed.

3. Click Select Assignment. A submenu of all available commands is displayed.

4. Click the command you wish to assign to the control.

The menu is removed and the Button list, Axis list, or POV list is updated to show the new command assignment.

See Also


Adding (Mapping) a Button Command

Adding (Mapping) a Button Command [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. In the Button list, click any button command. The Button menu is displayed.

3. Click Select Assignment, then click New Command in the submenu that displays. The Edit Command dialog box is displayed.

4. Type a name for the command.

5. Click Options. The Record Command Options dialog box is displayed.

6. Optional: Click the Record Pauses check box before you begin recording to check it. If you check this box, your pauses between keystrokes will be recorded as part of the command.

7. Optional: Use The Repeat Rate Slider to assign a repeat rate to the command.

8. Click OK to close the dialog box. The Edit Command dialog box is redisplayed.

9. Click Record.

10. Use your keyboard to record the keystrokes you wish to map to the command. Record keystrokes in the order in which you press them when using the keyboard to play the game. As you record the command, the command details are displayed in the details box.

11. If you make a mistake, click Stop, then click Record to begin re-recording the command.

12. When you are finished recording the command, click Stop.

13. Click OK to close the dialog box.

See Also


Adding a POV Command

Adding a POV Command [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. In the POV list, click any POV command. The POV menu is displayed.

3. Click Select Assignment, then click New POV Assignment in the submenu that appears. The Edit Assignment Dialog Box is displayed.

4. Type a name for the POV.

5. In the button grid, click the button for the first direction to which you wish to assign a command.

6. Choose a command from the drop-down list.

or

Map a new command, or edit an existing command's mapping. See the help topic "Mapping an Axis or POV Command."

7. Repeat steps 5 and 6 for the other directions.

8. Click OK to close the dialog box.

See Also


Adding an Axis Command

Adding an Axis Command [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. In the Axis list, click any axis command. The Axis menu is displayed.

3. Click Select Assignment, then click New Axis Assignment in the submenu that appears. The Edit Assignment Dialog Box is displayed.

4. Type a name for the axis.

5. In one of the axis direction boxes, choose a command from the drop-down list.

or

Map a new command, or edit an existing command's mapping. See the help topic "Mapping an Axis or POV Command."

6. Repeat step 5 for the other direction.

7. Click OK to close the dialog box.

See Also


Mapping an Axis or POV Command

Mapping an Axis or POV
Command [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. In the Axis list or POV list, click an unassigned axis or POV command, click Select Command, then click New Axis or New POV.

or

Click an assigned axis or POV command, then click Edit [Command Name], where [Command Name] is the name of the axis or POV.

The Edit Assignment dialog box is displayed.

3. Click Edit Command. The Command dialog box is displayed.

4. Click New. The Edit Command dialog box is displayed.

5. Type a name for the command.

6. Click Options. The Record Command Options dialog box is displayed.

7. Optional: Click the Record Pauses check box before you begin recording to check it. If you check this box, your pauses between keystrokes will be recorded as part of the command.

8. Optional: Use the Repeat Rate slider to assign a repeat rate to the command.

9. Click OK to close the dialog box. The Edit Command dialog box is redisplayed.

10. Click Record.

11. Use your keyboard to record the keystrokes you wish to map to the command. Record keystrokes in the order in which you press them when using the keyboard to play the game. As you record the command, the command details are displayed in the details box.

12. If you make a mistake, click Stop, then click Record to begin re-recording the command.

13. When you are finished recording the command, click Stop.

14. Click OK to close the dialog box. The Commands dialog box is redisplayed with the new command selected and its details shown in the Command Contents box.

See Also


Editing an Existing Axis or POV Command's Mapping

Editing an Existing Axis or POV
Command's Mapping [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. In the Axis list or POV list, click an assigned axis or POV command, then click Edit [Command Name], where [Command Name] is the name of the axis or POV.

The Edit Assignment dialog box is displayed.

3. Click Edit Command. The Command dialog box is displayed.

4. Click a command in the list. The details of the selected command are shown in the Command Contents box.

Note: Click Delete to delete the selected command.

5. Click Edit. The Edit Command dialog box is displayed.

6. Optional: Change the name of the command.

7. Optional: To change command options, click Options. The Record Command Options dialog box is displayed.

8. Optional: Check the Record Pauses check box before you begin recording. If you check this box, your pauses between keystrokes will be recorded as part of the command.

9. Optional: Use The Repeat Rate Slider to assign a repeat rate to the command.

10. Click OK to close the dialog box. The Edit Command dialog box is redisplayed.

11. Optional: To re-record the command, click Record.

12. Use your keyboard to record the keystrokes you wish to map to the command. Record keystrokes in the order in which you press them when using the keyboard to play the game. As you record the command, the command details are displayed in the details box.

13. If you make a mistake, click Stop, then click Record to begin re-recording the command.

14. When you are finished recording the command, click Stop.

15. Click OK to close the dialog box. The Commands dialog box is redisplayed with the new command details shown in the Command Contents box.

See Also


Deleting a Command

Deleting a Command [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. In the Button list, Axis list, or POV list, click the button command, axis command, or POV command you wish to delete. The Button menu, Axis menu, or POV menu is displayed.

3. Click Delete [Name], where [Name] is the name of the button command, axis command, or POV command. A message appears asking you to confirm the deletion.

4. Click Yes. The command is deleted.

Note: You can also delete a command in the Commands dialog box, which you use to edit axis and POV command mapping. See the help topic "Editing an Existing Axis or POV Command's Mapping" for more information.

See Also


Editing Button Command Options

Editing Button Command Options [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. In the Button list, click the button command you wish to modify. The Button menu is displayed.

3. Click Edit [Command Name], where [Command Name] is the name of the button command. The Edit Command dialog box is displayed.

4. Optional: Change the name of the button.

5. Optional: To change command options, click Options. The Record Command Options dialog box is displayed.

6. Optional: Click The Record Pauses Check box before you begin recording to check it. If you check this box, your pauses between keystrokes will be recorded as part of the command.

7. Optional: Use The Repeat Rate Slider to assign a repeat rate to the command.

8. Click OK to close the dialog box. The Edit Command dialog box is redisplayed.

9. Optional: To re-record the command, click Record.

10. Use your keyboard to record the keystrokes you wish to map to the command. Record keystrokes in the order in which you press them when using the keyboard to play the game. As you record the command, the command details are displayed in the details box.

11. If you make a mistake, click Stop, then click Record to begin re-recording the command.

12. When you are finished recording the command, click Stop.

13. Click OK to close the dialog box.

See Also


Editing POV Command Options

Editing POV Command Options [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. In the POV list, click the POV command you wish to modify. The POV menu is displayed.

3. Click Edit [POV], where [POV] is the name of the POV. The Edit Assignment Dialog Box is displayed.

4. Optional: Change the name of the POV.

5. Optional: In the button grid, click the POV direction to which you wish to reassign a command.

6. Optional: Choose a different command from the drop-down list.

or

Map a new command, or edit an existing command's mapping. See the help topic "Mapping an Axis or POV Command."

7. Optional: Repeat steps 5 and 6 for the other directions.

8. Click OK to close the dialog box.

See Also


Editing Axis Command Options

Editing Axis Command Options [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. In the Axis list, click the axis command you wish to modify. The Axis menu is displayed.

3. Click Edit [Axis Name], where [Axis Name] is the name of the axis. The Edit Assignment Dialog Box is displayed.

4. Optional: Change the name of the axis.

5. Optional: In one of the axis direction boxes, choose a command from the drop-down list.

or

Map a new command, or edit an existing command's mapping. See the help topic "Mapping an Axis or POV Command."

6. Optional: Repeat step 5 for the other direction.

7. Click OK to close the dialog box.

See Also


Editing Axis Sensitivity, Dead Zone and Range

Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. In the Axis list, click the axis command you wish to modify. The Axis menu is displayed.

3. Click Axis Properties. The Properties dialog box is displayed.

4. Choose an axis sensitivity level.

5. Choose a dead zone effect.

6. Choose a range value. This control should only be used in conjunction with mapping a gamepad axis to a mouse axis.

7. Click OK to close the dialog box.

See Also


Using a Different Axis's Mapping

Using a Different Axis's Mapping [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. In the Axis list, click the axis command you wish to modify. The Axis menu is displayed.

3. Click Axis Properties. The Properties dialog box is displayed.

4. Change the mapping to that of a different axis. For example, you might want to change the throttle mapping to that of the X axis instead, if you want to use the throttle to perform the commands currently associated with the X-axis.

Some devices allow for mapping an axis to a mouse axis. If you choose this option it is important to move this mapped axis control through the full extent of the range when the game is launched. e.g. if you have mapped a mini-joystick to a mouse X and Y axis then you should move the mini-joystick through the full range of motion when the game is launched. This is required to establish an accurate center point for the axes in order to avoid mouse cursor drift.

5. Click OK to close the dialog box.

See Also


Changing Overall Effects Strength for a Specific Game

Changing Overall Effects Strength
for a Specific Game [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Edit menu and select Specific Game Settings. The Specific Game Settings window will appear.

3. Put a checkmark the box labeled Use Special Force Feedback Device Settings.

4. Move the Overall Effects Strength slider as needed.

5. To accept the changes, click the OK button.

6. To discard the changes, click the Cancel button.

7. To restore all settings to the state as provided by Logitech, click the Defaults button.

See Also


Restoring Default Device Settings for Specific Games

Restoring Default Device Settings
for Specific Games [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Edit menu and select Specific Game Settings. The Specific Game Settings window will appear.

3. Click on the Defaults button. This will restore settings to those provided by Logitech.

4. Click the OK button to confirm the modification, or click the Cancel button to return to the non-default settings.

See Also


Changing Controller Settings for a Specific Game

Changing Controller Settings
for a Specific Game Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Edit menu and select Specific Game Settings. The Specific Game Settings window will appear.

3. Put a checkmark one or more of the boxes labeled Use Special Force Feedback Device Settings, Use Special WingMan Force Feedback Mouse Settings, and Use Special Steering Wheel Settings. Doing this makes certain adjustments active.

4. Make changes in the desired areas as needed.

5. To accept the changes, click the OK button.

6. To discard the changes, click the Cancel button.

7. To restore all settings to the state as provided by Logitech, click the Defaults button.

See Also


Enabling and Changing Centering Spring Strength for a Specific Game

Enabling and Changing
Centering Spring Strength
for a Specific Game [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Edit menu and select Specific Game Settings. The Specific Game Settings window will appear.

3. Put a checkmark the box labeled Enable Centering Spring.

4. Move the Centering Spring Strength slider as needed.

5. To accept the changes, click the OK button.

6. To discard the changes, click the Cancel button.

7. To restore all settings to the state as provided by Logitech, click the Defaults button.

See Also


Selecting a Game Specific Setting for the WingMan Force Feedback Mouse

Selecting a Game Specific Setting for
the WingMan Force Feedback Mouse [image] Tips

1. In the WingMan Profiler main window, make sure the WingMan Force Feedback Mouse is the selected controller. (See the help topic "Viewing a Game Layout and a Device Layout.)

2. Click on the Edit menu and select Specific Game Settings. The Specific Game Settings window will appear.

3. Ensure that "Use Special WingMan Force Feedback Mouse Settings" is enabled.

4. Click on the arrow in the pop down menu labeled Mouse Mode.

5. Select the Mouse Mode you prefer. (If you selected Joystick Mode, you will have to use your other mouse for the next step.)

6. Click the OK button to accept the change, click Cancel to close the Window without making the change, or click Defaults to return to the Mouse Mode preset by Logitech.

See Also


Changing Acceleration for a Specific Game

Changing Acceleration for a Specific Game [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Edit menu and select Specific Game Settings. The Specific Game Settings window will appear.

3. Put a checkmark in the box labeled Use Special WingMan Force Feedback Mouse Settings.

4. Move the Acceleration slider as needed.

5. To accept the changes, click the OK button.

6. To discard the changes, click the Cancel button.

7. To restore all settings to the state as provided by Logitech, click the Defaults button.

See Also


Changing Border Spring Effect for a Specific Game

Changing Border Spring Effect
for a Specific Game [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Edit menu and select Specific Game Settings. The Specific Game Settings window will appear.

3. Put a checkmark the box labeled Use Special WingMan Force Feedback Mouse Settings.

4. Move the Border Spring Effect slider as needed.

5. To accept the changes, click the OK button.

6. To discard the changes, click the Cancel button.

7. To restore all settings to the state as provided by Logitech, click the Defaults button.

See Also


Changing Border Spring Size for a Specific Game

Changing Border Spring Size
for a Specific Game [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Edit menu and select Specific Game Settings. The Specific Game Settings window will appear.

3. Put a checkmark the box labeled Use Special WingMan Force Feedback Mouse Settings.

4. Move the Border Spring Size slider as needed.

5. To accept the changes, click the OK button.

6. To discard the changes, click the Cancel button.

7. To restore all settings to the state as provided by Logitech, click the Defaults button.

See Also


Enabling Report Combined Pedals in a Specific Game

Enabling Report Combined Pedals
in a Specific Game [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. Click on the Edit menu and select Specific Game Settings. The Specific Game Settings window will appear.

3. Put a checkmark in the box labeled Use Special Steering Wheel Settings.

4. Put a checkmark in the box labeled Report Combined Pedals.

5. To accept the changes, click the OK button.

6. To discard the changes, click the Cancel button.

7. To restore all settings to the state as provided by Logitech, click the Defaults button.

See Also


Disabling the WingMan Profiler Icon in the Taskbar

1. On the Windows Taskbar, right-click the WingMan Profiler icon ( [image]) . A menu is displayed.

2. Click Hide Tray Icon.

The icon is disabled until you select Show Tray Icon from the system menu of Profiler.

See Also


.topic 6130
This mode provides the same cursor-motion-to-mouse-motion ratio regardless of how quickly the mouse is moved.

.topic 6140
This mode provides the best overall behavior.

.topic 6170
This adjusts the amount of extra movement the cursor makes as you move the mouse faster in Relative or Absolute with Acceleration modes.

.topic 4010
Choose an existing command for this axis direction from the drop-down list.

.topic 1060
This button shows the command assigned to this axis. This button is labeled with the name of the currently-assigned command. If no command is assigned, the button label is the name of the axis. Click this button to assign a command to this axis, edit or delete the currently-assigned command, create a new axis command, or remove the current command assignment from this axis.

.topic 4050
Choose a different axis's mapping from the drop-down list. For example, you might want to change the throttle mapping to that of the X axis instead, if you want to use the throttle to perform the commands currently associated with the X-axis.

.topic 4020
Type the name you want to give the axis in this box.

.topic 4040
Use this slider to set the level of control you wish to have over axis behavior. Sensitivity includes such factors as speed, acceleration, and centering (a state in which, when you let go of the joystick, both its axes revert to the center). A higher level of sensitivity gives you very precise control over the axis, but it may not be as easy to maneuver the axis as when you use a lower sensitivity level.

.topic 6040
This adjusts the distance from the limits of the mouse’s physical travel that you begin to feel the Border Spring Effect.

.topic 6030
This adjusts the amount of resistance you feel in the mouse as it reaches the limits of its physical travel on the base.

.topic 5030
Click the button for the direction to which you wish to assign a command.

.topic 1080
This button shows the command assigned to this button control. This button is labeled with the name of the currently-assigned command. If no command is assigned, the button label is the name of the button control. Click this button to assign a command to this button control, edit or delete the currently-assigned command, create a new button command, or remove the current command assignment from this button control.

.topic 920
Click this button to close the dialog box without saving any changes you have made.

.topic 6020
This adjusts the stiffness of the centering spring strength in force feedback devices.

.topic 3070
This list shows all of the commands in the currently-selected game profile. From this list, you can select a command to edit or delete.

.topic 2010
Type the name you want to give the command in this box.

.topic 4030
Choose either a low, medium, or high dead zone effect. The dead zone determines how far you will have to move the joystick before getting axis feedback. The dead zone reduces the sensitivity of the joystick near the center point. The larger the dead zone, the farther you will have to move the joystick to get a response from your game character.

.topic 6180
The Default button in the Specific Game Settings window and in the Global Device Settings window is used to restore all of the settings to the original settings provided by Logitech.

.topic 3060
Click this button to delete the currently-selected command.

.topic 940
This area describes the part of the dialog box to which the mouse is currently pointing. As you move the mouse cursor over the dialog box, this description changes.

.topic 2060
This box shows the command details as you record them.

.topic 3020
This box shows the details of the currently-selected command.

.topic 1010
Click this button to select another default controller.

.topic 3050
Click this button to open the Edit Command dialog box, where you can edit the currently-selected command.

.topic 3030
Click this button to open the Commands dialog box, where you can create a new command to assign to the axis or POV direction, edit an existing command, or delete a command.

.topic 6010
When this box is checked, it force feedback devices have a centering spring force even in games that do not provide it.

.topic 1020
Use this button to launch a game. This button is labeled with the name of the currently-selected game.

.topic 5010
Type the name you want to give the POV in this box.

.topic 1070
This button shows the command assigned to this POV. This button is labeled with the name of the currently-assigned command. If no command is assigned, the button label is the name of the POV. Click this button to assign a command to this POV, edit or delete the currently-assigned command, create a new POV command, or remove the current command assignment from this POV.

.topic 1050
Use this button to open the WingMan Profiler online help file.

.topic 930
Click this button to view online help for this dialog box.

.topic 6120
This enables you to change Force Feedback Mouse modes by pressing a key combination.

.topic 2050
Check this box before you begin recording if you want WingMan Profiler to include pauses between keystrokes in the command details.

.topic 6150
This mode works in games using DirectX to provide force feedback.

.topic 6100
This sets the behavior of the WingMan Force Feedback Mouse in the selected Profile.

.topic 6110
This sets the global behavior of the WingMan Force Feedback Mouse in in games, applications, and the operating system.

.topic 3040
Click this button to open the Edit Command dialog box, where you can create a new command.

.topic 910
Click this button to close the dialog box and save any changes you have made.

.topic 2090
Click this button to open the Record Command Options dialog box, where you can select a repeat rate and other options for the command.

.topic 6090
This slider enables you to adjust the intensity of force feedback effects.

.topic 5040
Choose an existing command for this POV direction from the drop-down list.

.topic 2020
Click this button to begin recording the keystrokes you wish to map to the command. Record keystrokes in the order in which you press them when using the keyboard to play the game.

.topic 6160
This mode provides basic compatibility with some games that do not provide force feedback.

.topic 2080
Use the slider to select a repeat rate. The repeat rate is the rate at which a specific command is reproduced upon a single use of the control to which the command is assigned. For example, if the game you are playing supports a variable repeat rate for the Fire command, you can configure your gaming device to fire multiple rounds each time you press the Fire button.

.topic 6050
This changes the way pedals motion is interpreted by games.

.topic 6060
A check in this box enables you to override the Global Force Feedback Settings for the currently selected game profile.

.topic 6080
A check in this box enables you to override the Global Steering Wheel Settings for the currently selected game profile.

.topic 6070
A check in this box enables you to override the Global Device Settings with regard to the WingMan Force Feedback Mouse for the currently selected game profile.

.topic 4060
This setting adjusts the maximum value reported for an axis. When set to a value less than 100% this will limit the maximum value allowed for that axis. This control should only be used in conjunction with mapping a gamepad axis to a mouse axis. In this scenario it can be used to generate a smaller amount of mouse movement for a given gamepad axis movement.

.topic 4070
When this box is checked the polarity of the axis is inverted. For instance, you could invert the polarity of the Y-axis for a flight simulation so that pushing forward on the joystick, rather than pulling back, would bring up the nose of your aircraft.

.topic 7020
When you launch a game the profile for that game is automatically applied.

.topic 7040
This is the name of the persistent profile to be applied when the dialog box is closed.

.topic 7010
When you launch a game the profile for that game is not applied.

.topic 7030
When this dialog box is closed the selected persistent profile is applied. The settings in the profile are permanent. When you launch a game the profile for that game is no longer automatically applied because the select persistent profile is already active.


definition of axis

axis

A bi-directional device control, such as a motion control handle, managed by an axis command. Because an axis has two directions, it requires a command for each direction; the combined effect of these two commands is called an axis command.

You can edit the two different directions separately for a single axis command.

Throttles, spinners, pedals, steering wheels, and other bi-directional controls behave similarly to axes.


definition of axis command

axis command

An action you perform by using an axis during game play. Without a gaming device, axis commands are performed using a combination of keystrokes and mouse clicks. An axis command can also include such options as repeat speed for keystrokes, and sensitivity and dead zone.

If your WingMan gaming device has one or more axes or other bi-directional controls, axis commands are assigned to them. Because an axis has two directions (X axis and Y axis), it requires a command for each direction. The combined effect of the two commands is called an axis command.


definition of axis range

axis range

This setting adjusts the maximum value reported for an axis. When set to a value less than 100% this will limit the maximum value allowed for that axis. This control should only be used in conjunction with mapping a gamepad axis to a mouse axis. In this scenario it can be used to generate a smaller amount of mouse movement for a given gamepad axis movement.


definition of axis sensitivity

axis sensitivity

A setting that determines the level of control you wish to have over axis behavior. Sensitivity includes such factors as speed, acceleration, and centering (a state in which, when you let go of the joystick, both its axes revert to the center). A higher level of sensitivity gives you very precise control over the axis, but it may not be as easy to maneuver the axis as when you use a lower sensitivity level.


definition of button

button

A single device control, such as a button or trigger. Single commands (also called button commands) are assigned to buttons.


definition of button command

button command

An action you perform during game play using a button. Without a gaming device, button commands are performed using a combination of keystrokes and mouse clicks.

Button commands are assigned to buttons on your WingMan gaming device.

Button commands are also referred to as single commands.


definition of combination command

combination command

An action you perform during game play using either an axis (or other bi-directional control) or a POV. Without a gaming device, combination commands are performed using a combination of keystrokes and mouse clicks. A combination command can also include such options as repeat speed for keystrokes, and sensitivity and dead zone for axes.

If your WingMan gaming device has one or more axes, other bi-directional controls, or POVs, combination commands are assigned to them. Because an axis has two directions (X axis and Y axis), it requires a command for each direction. Like an axis, a POV has multiple directions, and therefore requires a command for each direction. POVs have four or eight direction commands.

The combined effect of the two, four, or eight commands is called an axis command or a POV command. Collectively, axis commands and POV commands are referred to as combination commands.


definition of command

command

An action you perform during game play using gaming device controls. Without a gaming device, most commands are performed using a combination of keystrokes and mouse clicks. A command can also include such options as repeat speed for keystrokes, and sensitivity and dead zone for axes.

WingMan Profiler is used to assign commands to WingMan gaming device controls.


definition of control

control

A button, axis, POV, or other feature on a WingMan gaming device that you use to perform a command.


definition of dead zone

dead zone

An area that determines how far you will have to move the joystick before getting axis feedback. The dead zone reduces the sensitivity of the joystick near the center point. The larger the dead zone, the farther you will have to move the joystick to get a response from your game character.

This feature is advantageous, for example, if you move straight ahead by pushing the joystick forward. In this case, the dead zone assures that even if you move the joystick slightly right or left, it will not alter your forward progression.

You can set the dead zone at a level that feels comfortable for you.


definition of Device button

Device button

The top button in the button column in the top left corner of the WingMan Profiler main dialog box.


definition of executable file

executable file

The file that is selected to start a program. Executable files have either a .COM, .EXE, or .BAT extension.


definition of force feedback

force feedback

A feature of some WingMan devices that produces a physical response in the device when you use it to play a game. For example, in a device with force feedback, using the trigger would produce a "kickback" effect, similar to what you might feel if you were using a gun's trigger.


definition of Game button

Game button

The second button from the top in the button column in the top left corner of the WingMan Profiler main dialog box. The Game button's label is the name of the currently-selected game.


definition of game profile

game profile

The unique setup WingMan Profiler uses for a particular game played with a particular WingMan gaming device. The game profile contains all of the commands in the game. For each available WingMan gaming device, the profile also contains recommended device control assignments for commonly-used commands.

Using WingMan Profiler, you can customize the game profile for any game.


definition of gaming device

gaming device

A joystick, gamepad, or similar device you use to play games.


definition of POV

POV

A button on some WingMan gaming devices that lets you control direction with a touch of your thumb. For an eight-way POV, you can configure either four or eight different directions. For each direction, you assign a command; the combined effect of these four or eight commands is called a POV command.

You can configure the POV differently for different games. For example, you might use the POV to fire forward while using the stick to move from side to side (strafing), to cycle through secondary viewpoints, or to change targeting position.

Some devices, such as WingMan Interceptor, have multiple POVs. You configure each POV separately.


definition of POV command

POV command

An action you perform by using a POV during game play. Without a gaming device, POV commands are performed using a combination of keystrokes and mouse clicks.

If your WingMan gaming device has a POV, POV commands are assigned to it. Because a POV has either four or eight directions, it requires a command for each direction. The combined effect of the four or eight commands is called a POV command.

Some devices, such as WingMan Interceptor, have multiple POVs. You configure each POV separately.


definition of motion control handle

motion control handle

A device control that provides left/right, forward/backward, and up/down movement, plus rotation around these three directions or axes.


definition of path statement

path statement

A descriptive line that indicates which directories the system should search for executable files.


definition of pedal

pedal

A bi-direction device control on WingMan steering wheels that gives you the ability to manage any incremental game command, such as thrust, throttle, or intensity. A pedal is managed by two commands. Because a pedal has two directions, it requires a command for each direction; the combined effect of these two commands is called an axis command.

You can edit the two different direction commands separately for a single pedal.


definition of persistent profile

persistent profile

A persistent profile is always active. You can select any profile from the profile database to be applied as a persistent profile. If this setting is selected when you launch a game the profile for that game will never be applied, because the settings defined in the persistent profile are already active.


definition of repeat rate

repeat rate

The rate at which a specific command is reproduced upon a single use of the control to which the command is assigned. For example, if the game you are playing supports a variable repeat rate for the Fire command, you can configure your gaming device to fire multiple rounds each time you press the Fire button.


definition of right-click

right-click

A mouse click using the right-most mouse button. Right-clicks are often used to open shortcut menus or other auxiliary menus in an application.

If you are using the mouse left-handed, on the left side of your keyboard, use the left-most mouse button for a right-click.


definition of single command

single command

An action you perform during game play using a button. Without a gaming device, single commands are performed using a combination of keystrokes and mouse clicks.

Single commands are assigned to buttons on your WingMan gaming device.

Single commands are also referred to as button commands.


definition of SpinControl

SpinControl

A rudder-like feature of the WingMan Warrior gaming device that lets you spin instantly in a tight 360-degree circle while simultaneously performing actions with the joystick. As well as providing excellent control for 3D action games, the SpinControl is beneficial as a steering wheel in driving games, or as a traditional rudder in flight sims.


definition of strafe

strafe

To move an action figure from side to side while firing continuously.


definition of throttle

throttle

A bi-directional device control on some WingMan gaming devices (such as WingMan Extreme Digital, WingMan Warrior, WingMan Force, and WingMan Interceptor) that gives you the ability to manage any incremental game command, such as thrust, throttle, altitude, or intensity. A throttle is managed by two commands. Because a throttle has two directions, it requires a command for each direction; the combined effect of these two commands is called an axis command.

You can edit the two different direction commands separately for a single throttle.

On a steering wheel, a throttle is referred to as a pedal.


Deleting a Command Assignment from a Control

Deleting a Command Assignment
from a Control [image] Tips

1. In the WingMan Profiler main window, make sure the desired device and game are selected. (See the help topic "Viewing a Game Layout and a Device Layout.")

2. In the Button list, Axis list, or POV list, click the command for the control assignment that you wish to delete.

Note: To see which command is assigned to a control, move the cursor over the command in the Button list, Axis list, or POV list. A callout line is shown between the command and the control.

The Button menu, Axis menu, or POV menu is displayed.

3. Click Restore Default.

The menu is removed and the Button list, Axis list, or POV list is updated to show the name of the control instead of the command.

See Also


Dialog Box: Commands

Commands Dialog Box

Use this dialog box to organize commands. You can edit, delete, or create commands to assign to axis or POV directions. All of the current commands in the selected profile are shown in this dialog box. Clicking New or Edit in this dialog box displays the Edit Command dialog box, which you use to create a command or edit an existing command.

See Also


Dialog Box: Record Command Options

Record Command Options Dialog Box

Use this dialog box to set options before you begin recording a command. You can click the Record Pauses check box before you begin recording to have pauses between keystrokes recorded as part of the command. You can also use the Repeat Rate slider to assign a repeat rate to the command.

See Also


Dialog Box: Properties (Axis)

Properties Dialog Box (Axis)

Use this dialog box to modify axis sensitivity and dead zone for the currently-selected axis. You can also assign the mapping of another axis to the selected axis in this dialog box.

See Also


Dialog Box: Edit Assignment (Axis)

Edit Assignment Dialog Box (Axis)

Use this dialog box to add a new axis or edit an existing axis. In this dialog box, you can specify the axis name and a command for each direction of the axis. From here, you can also access another dialog box that lets you record a new command, or edit an existing command's mapping.

See Also


Dialog Box: Edit Assignment (POV)

Edit Assignment Dialog Box (POV)

Use this dialog box to add a new POV or edit an existing POV. In this dialog box, you can specify the POV name and a command for each direction of the POV. From here, you can also access another dialog box that lets you record a new command, or edit an existing command's mapping.

See Also


Dialog Box: Edit Command

Edit Command Dialog Box

Use this dialog box to add a new command or edit an existing command's mapping. You can specify the command name and record the command. From here, you can also access another dialog box that lets you select a repeat rate and other options for the command.

See Also


Tips for Adding a New Command

Is it necessary to add a new command?

No. The game profile contains all commands in the game. Each command is assigned to the button, axis, or POV best suited for effective game play.

For most games, the preconfigured commands in the game profile should meet your needs. However, you can add a custom command to your game at any time.

Is it necessary to map a command to each direction of the axis or POV?

To answer this question, it is important that you understand how axis and POV commands work. Because an axis has two directions (X axis and Y axis), it requires a command for each direction. Like an axis, a POV has multiple directions, and therefore requires a command for each direction. POVs have four or eight direction commands. Axis and POV commands are called combination commands.

If you edit the command mapping for one direction of an axis or POV command, you should edit the command mapping for the other direction(s) as well. If you do not, WingMan Profiler will use the default command(s) mapped to the other direction(s). This may or may not prove advantageous in combination with the command you have mapped to the first direction.

What is involved in adding a command?

When you add a command, you add the following:

Button, axis, or POV names. Note that for axes and POVs, these names are different from the name of the specific command assigned to each direction of the axis or POV.

Command mapping for a button command, an axis direction, or a POV direction. You can change the mapping of a current direction to invoke a different command. For example, you might change the mapping of "Fire Left" from [Ctrl-key + A-key] to [Ctrl-key + B-key]. (When you remap a command, you can also change repeat rate for the command.)

Note: For axis and POV directions, you can select an existing command, rather than mapping a new command for the direction.


Tips for Adjusting Centering Spring Strength

How do I determine whether to change Centering Spring Strength in the Specific Game Settings window or in the Global Device Settings window?

Changes made in the Global Device Settings Window affect all profiles. Changes in the Specific Game Settings window only affect the Profile that is active when you make the change.

What effect does the position of the slider have?

The 0% position effectively eliminates force feedback sensations. The 100% position provides exactly the strength of force designed in by the game developer. Setting the slider at less than 100% scales the forces down proportionately. Positions over 100% increase low-level forces proportionately.


Tips for Adjusting Overall Effects Strength

How do I determine whether to change Overall Effects Strength in the Specific Game Settings window or in the Global Device Settings window?

Changes made in the Global Device Settings Window affect all profiles. Changes in the Specific Game Settings window only affect the Profile that is active when you make the change.

What effect does the position of the slider have?

The 0% position effectively eliminates force feedback sensations. The 100% position provides exactly the strength of force designed in by the game developer. Setting the slider at less than 100% scales the forces down proportionately. Positions over 100% increase low-level forces proportionately.


Tips for Assigning a Command to a Control

Is it necessary to assign commands to controls on my WingMan device?

No. For each WingMan gaming device installed on your computer, the game profile for each game contains recommended device control assignments for commonly-used commands. When you select a game and a device in WingMan Profiler, these assignments are displayed in the WingMan Profiler main window.

If you decide that you would prefer to use different settings for a particular game (for example, if you use your gaming device left-handed, or in some other distinct manner), you can assign a different command to a particular control.

Can I make device control assignments directly within the game?

Yes, in some games. If your game uses the DirectX interface to associate the game with the device, you can make device control assignments directly within the game, rather than in WingMan Profiler.


Tips for Creating a New Game Profile

When should I create a new game profile?

Use WingMan Profiler to create a new game profile if:-

You have a game installed on your system for which WingMan Profiler does not include a pre-configured game profile.

Note: This will rarely be the case, as WingMan Profiler includes profiles for most popular games.

You install a new game that has appeared more recently than the latest WingMan Profiler release. In that case, you can download the latest profiles from the Logitech web site. Or, if you wish, you can create your own profile for the game.

Note: You must have the game already installed on your computer before you attempt to create your own profile.


Tips for Deleting a Command

If I delete a command, does that mean I will no longer be able to perform that command when I play the game?

No. After you delete a command, you will still be able to perform the command using the keystrokes, mouse clicks, and gaming device control movements associated with the command, but you will no longer be able to perform it using a single device button, axis direction, or POV direction.

Once I delete a command, can I still use its associated control on my device?

Yes. If you delete a command associated with a button, axis, or POV, later you can create a new command and assign it to the control. You can also assign another existing command to the control.

Can I delete commands for buttons, axis, and POVs?

Yes. You can delete either a single command or a combination command.

Is there any other way to delete a command besides using the Delete command in the Button list, Axis list, POV list?

Yes. You can also delete a command in the Commands dialog box, which is displayed when you edit the command mapping for an axis or POV.

If I delete a command in the Button list, Axis list, POV list, or Commands dialog box, will that command still be available in other areas of the game profile?

No. Once you delete a command in one list, or in the Commands dialog box, the command is no longer available in that particular game profile.


Tips for Deleting a Command Assignment from a Control

When would I want to delete a command assignment from a control?

When you delete a command assignment from a control, you completely remove the command assignment for that control, leaving the control unassigned to any command. This might be useful, for instance, if you wanted to create an entirely new game profile for a particular game.

What if I just want to use a different command assignment for the control?

You can change the command assignment for any control from one command to another. See the help topic "Assigning a Command to a Control."


Tips for Deleting and Restoring Game Profiles

Which game profiles can I delete?

You can delete a customized game profile if you find it no longer serves your needs. For example, if you import a game profile sent to you by a friend, then decide you no longer need it, you can delete it.

Note: Make sure you no longer need the profile. Once you delete a customized profile, you cannot restore it.

Can I delete a default profile?

No. When WingMan Profiler is installed, it creates a database of default profiles for each installed game on your system. When you update WingMan Profiler by adding profiles for recently-installed games, WingMan Profiler adds a copy of the game profiles for these games to the database.

When you begin to customize a game profile, WingMan Profiler automatically makes a copy of it for you to customize and saves it in a user profile database. The default profile is still in the original database. Default game profiles cannot be deleted, and can be restored into WingMan Profiler at any time.

How do I restore a profile?

WingMan Profiler includes a Restore Default Profile command that lets you restore the default profile for the currently-selected profile. Again, note that you cannot restore a customized profile once you delete it.


Tips for Disabling Force Feedback

When should I disable force feedback?

You might want to disable force feedback if you find it distracting in a particular game, or if the game does not support force feedback.

Do all devices have force feedback?

No. Some WingMan devices include the force feedback feature, but many do not. If a device has force feedback, the Enable Force Feedback command appears in the Device menu when that device is selected. If the device does not have force feedback, the Enable Force Feedback command does not appear.


Tips for Displaying the Windows Game Controllers Panel

What do I use the Game Controllers panel for?

Using the Game Controllers panel, you can

Install a new WingMan gaming device on your system

Remove a gaming device from the system

Select a different controller ID for your WingMan gaming device


Tips for Enabling Centering Spring

How do I determine whether to Enable Centering Spring in the Specific Game Settings window or in the Global Device Settings window?

Changes made in the Global Device Settings Window affect all profiles. Changes in the Specific Game Settings window only affect the Profile that is active when you make the change.


Tips for Importing and Exporting Game Profiles

Where do I get game profiles to import?

You can import a game profile created by someone else. For example, a friend who also uses WingMan Profiler may create a profile you like for a particular game. Your friend can export the profile from WingMan Profiler on his or her system, then e-mail it to you or give it to you on a disk. You can then import it into WingMan Profiler on your system.

When I export a game profile, where does it go?

You can export a game profile from your system to give to someone else. You can export a game profile to a folder on your hard drive or to a floppy disk.

How do I recognize game profiles on my system?

Game profiles have a file extension of .WGP or .LES. Only .WGP or .LES files can be imported into WingMan Profiler, and when you export a game profile, it is automatically saved with the .LES extension.


Tips for Launching a Game

How do I launch a game using WingMan Profiler?

You can launch a game from

Within WingMan Profiler

The WingMan Profiler icon on the Windows Taskbar

When you launch a game using one of the above methods, only games for which WingMan Profiler has a game profile are available. If WingMan Profiler does not have a profile for the game you want to play, see the help topic "Creating a New Game Profile."

Can I still use conventional methods for launching a game?

Yes. You can also launch a game using conventional methods for opening a file, such as

Using the Start menu

Selecting the game's executable file in a folder

Selecting the game's program icon on your Windows desktop

See the Windows help file for more information about these methods.

Does WingMan Profiler always load a game profile, regardless of how I launch the game?

Yes. By default, the associated WingMan game profile is loaded when you launch any game on your system (provided WingMan Profiler has a profile for the game). The profile is loaded regardless of which of the above methods you use for launching the game.

What if I want to play the game without using the game profile?

You can disable the automatic game profile load feature either from within WingMan Profiler or from the Windows Taskbar. See the help topic "Disabling Automatic Game Profile Load Upon Launch."


Tips for Mapping an Axis or POV Command

Is it necessary to remap a command?

No. The game profile contains all commands in the game. Each command is assigned to the button, axis, or POV best suited for effective game play.

For most games, the preconfigured commands in the game profile should meet your needs. However, you can add a custom command to your game at any time.

Is it necessary to map a command to each direction of the axis or POV?

To answer this question, it is important that you understand how axis and POV commands work. Because an axis has two directions (X axis and Y axis), it requires a command for each direction. Like an axis, a POV has multiple directions, and therefore requires a command for each direction. POVs have four or eight direction commands. Axis and POV commands are called combination commands.

If you edit the command mapping for one direction of an axis or POV command, you should edit the command mapping for the other direction(s) as well. If you do not, WingMan Profiler will use the default command(s) mapped to the other direction(s). This may or may not prove advantageous in combination with the command you mapped to the first direction.

What is the difference between editing an existing command's mapping and mapping a new command?

Editing an existing axis or POV command's mapping and mapping a new axis or POV command are essentially the same. The only differences are that

When you edit an existing command, you can modify one part of the existing command, such as repeat rate, without re-recording the entire command.

When you map a new command, you start from scratch by naming the command and then recording it. You may also assign a repeat rate to the new command.


Tips for Modifying Axis Sensitivity and Dead Zone Effect

Tips for Modifying Axis Sensitivity, Dead Zone Effect and Range

Is it necessary to change axis sensitivity and dead zone effect?

No. For many games, you may find that the default axis sensitivity , dead zone and range work for you. If you are not getting the response you expect when you use the axis to perform a command, you may want to try a different setting.

Is it necessary to change axis range?

No. This control should only be used in conjunction with mapping a gamepad axis to a mouse axis. In this scenario it can be used to generate a smaller amount of mouse movement for a given gamepad axis movement .i.e. it makes the mouse response less sensitive.

When I change these settings does it affect the commands assigned to both axis directions?

Yes. Changing either of these settings affects both directions of the axis command.


Tips for Printing a Game Layout or Device Layout

How to I determine which layout to print?

It depends on the information for which you want to have a printout.

A game layout shows a picture of the gaming device, displaying which command is assigned to each device control.

A device layout also shows a picture of the device, but labels the device controls with control names, such as Button1 or X-Axis.


Tips for Editing Axis Command Options

Is it necessary to modify axis command options?

No. WingMan Profiler provides game profiles for the majority of commercially available games. The profiles have an ideal command assignment for each device control (including axis command assignments if the device has one or more axes). However, WingMan Profiler allows you to modify a command if you wish.

Is it necessary to edit the command for each direction of the axis?

To answer this question, it is important that you understand how axis commands work. Because an axis has two directions (X axis and Y axis), it requires a command for each direction. You can edit the two different direction commands separately for a single axes.

If you edit the command mapping for one direction of an axis command, you should edit the command mapping for the other direction as well. If you do not, WingMan Profiler will use the default command mapped to the other direction. This may or may not prove advantageous in combination with the command you mapped to the first direction.

What is involved in editing an axis command?

You can modify the following components of an axis command:

The assigned name of the axis. For example, you could change "Horiz Axis" to "Run Horiz Axis," as long as "Run Horiz Axis" is not currently defined as a command.

The assigned command for an axis direction. You can select a different, existing command.

Command mapping for an axis direction. You can change the mapping of a current direction to invoke a different command. For example, you might change the mapping of "Run Left" from [Ctrl-key + A-key] to [Ctrl-key + B-key]. (When you remap a command, you can also change repeat rate for the command.)

How do I edit axis sensitivity and dead zone?

You use the Axis Properties to edit axis sensitivity and dead zone effect. See the help topic "Editing Axis Sensitivity and Dead Zone" for more information.

Is there anything else I can do to edit an axis?

You can change the mapping of one axis to another axis's mapping. See the help topic "Using a Different Axis's Mapping" for more information.


Tips for Editing Button Command Options

Is it necessary to modify button command options?

No. WingMan Profiler provides game profiles for the majority of commercially available games. The profiles have an ideal command assignment for each device control (including buttons). However, WingMan Profiler allows you to modify a command if you wish.

What is involved in editing a button command?

You can modify the following components of a button command:

The assigned name of the command. For example, you could change "Fire Away" to "Fire Missiles," as long as "Fire Missiles" is not currently defined as a command.

Command mapping. You can change the mapping to invoke a different command. For example, you might change the mapping of "Fire Away" from [Ctrl-key + A-key] to [Ctrl-key + B-key]. (When you remap a command, you can also change repeat rate for the command.)


Tips for Editing POV Command Options

Is it necessary to modify POV command options?

No. WingMan Profiler provides game profiles for the majority of commercially available games. The profiles have an ideal command assignment for each device control (including POV command assignments if the device has one or more POVs). However, WingMan Profiler allows you to modify a command if you wish.

Is it necessary to edit the command for each direction of the POV?

To answer this question, it is important that you understand how POV commands work. Like an axis, a POV has multiple directions, and therefore requires a command for each direction. POVs have four or eight direction commands. You can edit the different direction commands separately for a single POV.

If you edit the command mapping for one direction of a POV command, you should edit the command mapping for the other directions as well. If you do not, WingMan Profiler will use the default commands mapped to the other directions. This may or may not prove advantageous in combination with the command you mapped to the first direction.

What is involved in editing a POV command?

You can modify the following components of a POV command:

The assigned name of the POV command. For example, you could change "Views" to "Look Around POV," as long as "Look Around POV" is not currently defined as a command.

The assigned command for a POV direction. You can select a different, existing command.

Command mapping for a POV direction. You can change the mapping of a current direction to invoke a different command. For example, you might change the mapping of "Look Left" from [Ctrl-key + A-key] to [Ctrl-key + B-key]. (When you remap a command, you can also change repeat rate for the command.)

What if my device has more than one POV?

Some devices, such as WingMan Interceptor, have multiple POVs. You configure each POV separately.


Tips for Restoring Default Controller Settings Globally or for Specific Games

How do I determine which settings to restore?

If the change you want to make only applies to a few games, make the change in the Specific Game Settings window. If the change is one that you wish to make for all games, restore defaults in the Global Device Settings window.


Tips for Selecting a Mouse Mode

When do I use Absolute with Acceleration Mode?

Use this mode most of the time. It works well in the operating system, in many games, and in most applications. It supports force feedback in games written to support the WingMan Force Feedback Mouse. It also supports force feedback in the operating system, on the WWW, and in applications when FEELit Desktop is running.

When do I use Absolute Mode?

Use this mode only if you find it necessary to do so for compatibility with a particular game.

When do I use Relative Mode?

Use this mode only for basic mouse compatibility with some games that do not support force feedback.

When do I use Joystick Mode?

Use this mode in games that provide force feedback only with DirectX. As a general rule, if you know a game was released in 1999 or later and supports force feedback, try it in Absolute with Acceleration Mode first. If force feedback light on the mouse isn’t illuminated, toggle to Joystick mode. Joystick mode does not allow the WingMan Force Feedback Mouse to function as a normal mouse. You should toggle to a different mode before exiting the game, or if you need to use a menu within the game.

How do I Set the Mode for a Particular Game Once and For All.

Create a profile for that game. Then, set the mouse mode you want for that Profile in the Specific Game Settings window.


Tips for Setting Acceleration

How do I determine whether to change Acceleration in the Specific Game Settings window or in the Global Device Settings window?

Changes made in the Global Device Settings Window affect all profiles. Changes in the Specific Game Settings window only affect the Profile that is active when you make the change.

What Effect does the Slider Position have on Mouse Movement?

When in Relative or Absolute with Acceleration Mode, the farther the slider is to the right, the farther the mouse will go proportionally as the speed with which you move it increases.


Tips for Setting Border Spring Size

How do I determine whether to change Acceleration in the Specific Game Settings window or in the Global Device Settings window?

Changes made in the Global Device Settings Window affect all profiles, applications, and the operating system. Changes in the Specific Game Settings window only affect the Profile that is active when you make the change.

What Effect does the Slider Position have on Mouse Movement?

The farther the slider is to the right, the farther from the limits of physical mouse travel the Border Spring Effect begins.


Tips for Setting Border Spring Strength

How do I determine whether to change Border Spring Strength in the Specific Game Settings window or in the Global Device Settings window?

Changes made in the Global Device Settings Window affect all profiles. Changes in the Specific Game Settings window only affect the Profile that is active when you make the change.

What Effect does the Slider Position have?

The farther the slider is to the right, the greater the resistance you feel as the mouse reaches its travel limits.


Tips for Updating WingMan Profiler

Why is it necessary to update WingMan Profiler?

The computer gaming industry is continually generating new games and updating old ones. WingMan Profiler makes it easy to keep abreast of these changes by allowing you to download easily new and updated game profiles from Logitech's World Wide Web site. When updating WingMan Profiler, a wizard guides you through a simple process for updating game profiles and, if necessary, updating the WingMan Profiler application and/or drivers.

How often should I update WingMan Profiler?

Update WingMan Profiler if you install a new game that has appeared more recently than the latest WingMan Profiler release. Logitech's World Wide Web site will most likely contain a game profile for the game as soon as it is released on the market.

If I update my game profiles, does WingMan Profiler overwrite my customized profiles with new default profiles for the same game?

No. When you customize a game profile, the custom profile is saved automatically, separate from the original profile provided by WingMan Profiler for that game. Therefore, customized profiles are not overwritten when you update game profiles, even if the update contains a newer profile for a game for which you have customized the game profile. In that case, you have the option of using either the customized profile or the new profile from the update.


Tips for Using a Different Axis's Mapping

What is the effect of using a different axis's mapping?

Making this change causes the axis you are changing to perform the commands currently associated with the other axis. For example, if you change the throttle mapping to that of the X axis, you will now be able to use the throttle to perform the commands currently associated with the X-axis.

Some devices allow for mapping an axis to a mouse axis. If you choose this option it is important to move this mapped axis control through the full extent of the range when the game is launched. e.g. if you have mapped a mini-joystick to a mouse X and Y axis then you should move the mini-joystick through the full range of motion when the game is launched. This is required to establish an accurate center point for the axes in order to avoid mouse cursor drift.

Why would I want to change an axis's mapping to another axis's mapping?

You might use this feature if you want to use an axis in a unique manner. For example, you could change the throttle mapping so that you could use the throttle to move forward and backward, rather than to accelerate and decelerate, which is the action commonly associated with a throttle.


Tips for Viewing a Game Layout and a Device Layout

Why is it important to view a game layout and a device layout?

Before modifying, adding, or reassigning commands, you must select a game and a gaming device in the WingMan Profiler main window. When you select a game and a device, an illustration of the selected device is shown. The game profile for the selected game, played with the selected device, is displayed.

Viewing a game layout and device layout is often the only thing you will need to do in WingMan Profiler.

What does the layout show?

The layout provides easy reference to buttons, axes, and POVs on your WingMan gaming device, showing the command assigned to each control. Button commands are listed in the Button list; axis commands are listed in the Axis list, and POV commands are listed in the POV list. If there is no command assigned to a control, the name of the control is displayed in the list.

You can move the cursor over different areas of the layout to see which command is assigned to which control.


Tips on Setting Report Combined Pedals

When should I enable Combined Pedals?

Some driving games only work with Combined Pedals. In this mode, the pedals are reported as a single axis. Many arcade-style games are this way. When should I disable Combined Pedals? Disabling Combined Pedals reports the Accelerator as the z axis and the Brake as the r axis. This allows the pedals to be given separate characteristics in the game. Many racing simulation games support this mode.

How do I determine whether to change Combined Pedals in the Specific Game Settings window or in the Global Device Settings window?

Changes made in the Global Device Settings Window affect all profiles, applications, and the operating system. Changes in the Specific Game Settings window only affect the Profile that is active when you make the change.